:root {
    --dark-color: #0F0F0F;
    --сontainer-gap: 40px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
}
body {
    font-family: "Inter", sans-serif;
    color: var(--dark-color);
}

a {
    text-decoration: none;
    color: var(--dark-color);
    display: flex;
    align-items: center;
    gap: 15px;
}
a:hover {
    opacity: .7;
}
ul {
    list-style: none;
    display: flex;
    align-items: center;
    gap: 40px;
}

/* Header */
header {
    background: #fff;
    z-index: 100;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px var(--сontainer-gap);
}

.logo {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.logo h3 { font-size: 26px; font-weight: 500; }
.logo p { font-size: 18px; font-weight: 200; }

nav a {
    font-size: 18px;
    text-transform: uppercase;
}
.header-contacts { display: none; }

/* Main */
main { margin-top: 120px; }

.hero {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    text-align: center;
}
.hero h1 {
    font-size: 60px;
    font-style: italic;
    animation: hero-h1 3s ease-in-out infinite;
    font-weight: 500;
}
.hero iframe {
    border-radius: 5px;
    width: 50%;
    height: auto;
    aspect-ratio: 16 / 9;
    box-shadow: 0px 0px 10px 5px #0000001c;
    border: none;
}
@keyframes hero-h1 {
    0% {
        transform: translateY(0px);
    }
    50% {
        transform: translateY(-5px);
    }
    100% {
        transform: translateY(0px);
    }
}

/* Sections */
.section-text {
    position: relative;
    width: 70%;
    margin-left: 5%;
    display: grid;
    grid-template-columns: 1fr 2fr;
    column-gap: 40px;
}
.section-text::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: var(--dark-color);
}
.section-header {
    margin-top: 20px;
}
.section-header p {
    font-size: 22px;
    font-weight: 300;
    font-style: italic;  
    opacity: 0.6;
}
.section-header h1 {
    font-size: 60px;
    text-transform: uppercase;
    font-style: italic;
    font-weight: 500;
}
.text {
    padding: 20px 0;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.text p { font-size: 24px; }


.about {
    margin-top: 100px;
}

/* Footer */
footer { margin-bottom: 100px; }
footer ul { flex-wrap: wrap; row-gap: 25px; }
footer span {
    font-size: 24px;
    font-style: italic;
    text-transform: capitalize;
}

/* Media Queries */
@media (max-width: 1600px) {
    main { margin-top: 100px; }
    .hero iframe { width: 60%; }
    .section-text { width: 75%; }
    .section-header h1 { font-size: 50px; }
    .text p { font-size: 22px; }
}
@media (max-width: 1300px) {
    .logo h3 { font-size: 22px; }
    .logo p { font-size: 16px; }
    .text p { font-size: 20px; }
}
@media (max-width: 1050px) {
    main {
        display: flex;
        flex-direction: column;
        margin-top: 150px;
        padding: 0 var(--сontainer-gap);
        gap: 70px;
    }
    .hero iframe { width: 80%; }
    .about { margin-top: 0; }
    .section-text {
        grid-template-rows: repeat(2, auto);
        grid-template-columns: auto;
        width: 100%;
        gap: 15px;
        margin-left: 0%;
    }
    .section-text::before {
        display: none;
    }
    .section-header { margin-top: 0;}
    .section-header h1 { font-size: 42px; }
    .text { position: relative; }
    .text p { font-size: 20px; }
    .text::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 1px;
        background-color: var(--dark-color);
    }
    .text::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 1px;
        background-color: var(--dark-color);
    }
    
    footer { margin: 70px var(--сontainer-gap); }
    footer li:last-child { display: none; }
}
@media (max-width: 800px) {
    :root { --сontainer-gap: 20px; }
    nav { display: none; }
    .header-contacts { display: flex; width: 40px; }

    .hero h1 { font-size: 50px;}
    .hero iframe { width: 100% }
    
    .section-header h1 { font-size: 36px; }
    .section-header p { font-size: 18px; }
}
@media (max-width: 500px) {
    .logo h3 { font-size: 18px; }
    .logo p { font-size: 14px; }
    
    main { margin-top: 120px; gap: 70px; }
    .hero h1 { font-size: 36px; }
    .section-header p { font-size: 15px; }
    .section-header h1 { font-size: 28px; }
    .text p { font-size: 18px; }

    footer ul { row-gap: 15px; }
    footer span { font-size: 20px; }
    footer svg { width: 40px; }
}
